OCSPResp (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cert.ocsp

## Class OCSPResp

- java.lang.Object
- - org.bouncycastle.cert.ocsp.OCSPResp

-     public class OCSPResp
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `INTERNAL_ERROR`
    `static int` | `MALFORMED_REQUEST`
    `static int` | `SIG_REQUIRED`
    `static int` | `SUCCESSFUL`
    `static int` | `TRY_LATER`
    `static int` | `UNAUTHORIZED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OCSPResp(byte[] resp)`
    `OCSPResp(java.io.InputStream resp)`
    `OCSPResp(org.bouncycastle.asn1.ocsp.OCSPResponse resp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `byte[]` | `getEncoded()` return the ASN.1 encoded representation of this object.
    `java.lang.Object` | `getResponseObject()`
    `int` | `getStatus()`
    `int` | `hashCode()`
    `org.bouncycastle.asn1.ocsp.OCSPResponse` | `toASN1Structure()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SUCCESSFUL

          public static final int SUCCESSFUL

      See Also:
        Constant Field Values

    - #### MALFORMED_REQUEST

          public static final int MALFORMED_REQUEST

      See Also:
        Constant Field Values

    - #### INTERNAL_ERROR

          public static final int INTERNAL_ERROR

      See Also:
        Constant Field Values

    - #### TRY_LATER

          public static final int TRY_LATER

      See Also:
        Constant Field Values

    - #### SIG_REQUIRED

          public static final int SIG_REQUIRED

      See Also:
        Constant Field Values

    - #### UNAUTHORIZED

          public static final int UNAUTHORIZED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OCSPResp

          public OCSPResp(org.bouncycastle.asn1.ocsp.OCSPResponse resp)

    - #### OCSPResp

          public OCSPResp(byte[] resp)
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### OCSPResp

          public OCSPResp(java.io.InputStream resp)
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getStatus

          public int getStatus()

    - #### getResponseObject

          public java.lang.Object getResponseObject()
                                             throws OCSPException

      Throws:
        `OCSPException`

    - #### getEncoded

          public byte[] getEncoded()
                            throws java.io.IOException

      return the ASN.1 encoded representation of this object.
      Throws:
        `java.io.IOException`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toASN1Structure

          public org.bouncycastle.asn1.ocsp.OCSPResponse toASN1Structure()